%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:		python-zope-interface
Version:	3.0.1
Release:	11.100.1%{?dist}
Summary:	Zope interfaces package
Group:		Development/Libraries
License:	ZPLv2.1
URL:		http://zope.org/Products/ZopeInterface
Source0:	http://zope.org/Products/ZopeInterface/3.0.1final/ZopeInterface-%{version}.tgz
Source1:	ZPL-2.1.txt
Patch0:		ZopeInterface-3.0.1-declbug.patch
# End Oracle Patches

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	python-devel python-setuptools-devel

%description
This is a separate distribution of the zope.interface package used in Zope 3.

It includes a patch to fix compilation on gcc 4.x, as described here:
http://www.zope.org/Collectors/Zope3-dev/366/

%prep
%setup -n ZopeInterface-%{version} -q
%{__cp} -a %{SOURCE1} .
%patch0 -p1

%build
CFLAGS="%{optflags}" %{__python} -c 'import setuptools; execfile("setup.py")' build

%install
%{__rm} -rf %{buildroot}
CFLAGS="$RPM_OPT_FLAGS" %{__python} -c 'import setuptools; execfile("setup.py")' install -O1 --skip-build --root  %{buildroot}
/usr/bin/find %{buildroot} -name \*.so -exec %{__chmod} 755 {} \;

%check
cd ./build/lib.* && PYTHONPATH=$(pwd) %{__python} ./zope/testing/tests.py

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt ZPL-2.1.txt
%{python_sitearch}/zope/
%{python_sitearch}/zope.interface*

%changelog
* Fri Nov 03 2010 Srinivas Maturi <srinivas.maturi@oracle.com> 3.0.1-11.100.1
- Change release to confirm to OVM conventions

* Sun Sep 20 2009 Felix Schwarz <felix.schwarz@oss.schwarz.eu> 3.0.1-11
- generate egg info

* Thu Feb 14 2008 Paul Howarth <paul@city-fan.org> 3.0.1-10
- rebuild with gcc 4.3.0 for Fedora 9

* Fri Jan  4 2008 Paul Howarth <paul@city-fan.org> 3.0.1-9
- tweak %%files list to pull in egg info file when necessary
- fix permissions on shared objects (silence rpmlint)

* Wed Aug 29 2007 Paul Howarth <paul@city-fan.org> 3.0.1-8
- update license tag to ZPLv2.1 in anticipation of this tag being approved

* Sat Dec  9 2006 Paul Howarth <paul@city-fan.org> 3.0.1-7
- rebuild against python 2.5 for Rawhide

* Tue Oct 31 2006 Paul Howarth <paul@city-fan.org> 3.0.1-6
- add %%check section

* Wed Sep 20 2006 Paul Howarth <paul@city-fan.org> 3.0.1-5
- dispense with %%{pybasever} macro and python-abi dependency, not needed from
  FC4 onwards
- include ZPL 2.1 license text
- add reference in %%description to origin of patch
- change License: tag from "ZPL 2.1" to "Zope Public License" to shut rpmlint up

* Thu Aug 31 2006 Paul Howarth <paul@city-fan.org> 3.0.1-4
- files list simplified as .pyo files are no longer %%ghost-ed

* Tue May  9 2006 Paul Howarth <paul@city-fan.org> 3.0.1-3
- import from PyVault Repository
- rewrite in Fedora Extras style

* Tue Aug 23 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 3.0.1-2
- add bug fix for gcc 4

* Mon Feb 07 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 3.0.1-1
- new rpm

